public inbox for dwz@sourceware.org
 help / color / mirror / Atom feed
* [committed] Add version.sh, help.sh and illegal-option.sh
@ 2019-01-01  0:00 Tom de Vries
  0 siblings, 0 replies; only message in thread
From: Tom de Vries @ 2019-01-01  0:00 UTC (permalink / raw)
  To: dwz, jakub

Hi,

Add a few more test-cases, testing options -v and -?, and the behaviour for
illegal options.

Committed to trunk.

Thanks,
- Tom

Add version.sh, help.sh and illegal-option.sh

2019-03-31  Tom de Vries  <tdevries@suse.de>

	* testsuite/dwz.tests/help.sh: New test.
	* testsuite/dwz.tests/illegal-option.sh: New test.
	* testsuite/dwz.tests/version.sh: New test.

---
 testsuite/dwz.tests/help.sh           | 13 +++++++++++++
 testsuite/dwz.tests/illegal-option.sh | 25 +++++++++++++++++++++++++
 testsuite/dwz.tests/version.sh        |  9 +++++++++
 3 files changed, 47 insertions(+)

diff --git a/testsuite/dwz.tests/help.sh b/testsuite/dwz.tests/help.sh
new file mode 100644
index 0000000..7eeb5a6
--- /dev/null
+++ b/testsuite/dwz.tests/help.sh
@@ -0,0 +1,13 @@
+cp ../hello 1
+
+if dwz -? 1 2> dwz.err; status=$?; then
+    true
+fi
+
+[ $status -eq 1 ]
+
+grep -q "Usage:" dwz.err
+
+cmp 1 ../hello
+
+rm -f 1 dwz.err
diff --git a/testsuite/dwz.tests/illegal-option.sh b/testsuite/dwz.tests/illegal-option.sh
new file mode 100644
index 0000000..9c3f50d
--- /dev/null
+++ b/testsuite/dwz.tests/illegal-option.sh
@@ -0,0 +1,25 @@
+cp ../hello 1
+
+if dwz -x 1 2> dwz.err; status=$?; then
+    true
+fi
+
+[ $status -eq 1 ]
+
+grep -q ": invalid option -- 'x'" dwz.err
+grep -q "Usage:" dwz.err
+
+cmp 1 ../hello
+
+if dwz --x 1 2> dwz.err; status=$?; then
+    true
+fi
+
+[ $status -eq 1 ]
+
+grep -q ": unrecognized option '--x'" dwz.err
+grep -q "Usage:" dwz.err
+
+cmp 1 ../hello
+
+rm -f 1 dwz.err
diff --git a/testsuite/dwz.tests/version.sh b/testsuite/dwz.tests/version.sh
new file mode 100644
index 0000000..273eb3d
--- /dev/null
+++ b/testsuite/dwz.tests/version.sh
@@ -0,0 +1,9 @@
+cp ../hello 1
+
+dwz -v 1 2> dwz.err
+
+grep -q "dwz version" dwz.err
+
+cmp 1 ../hello
+
+rm -f 1 dwz.err

^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2019-03-31 21:25 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-01-01  0:00 [committed] Add version.sh, help.sh and illegal-option.sh Tom de Vries

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).